package com.yingxin.prms.domain;

import org.springframework.data.cassandra.core.mapping.PrimaryKey;
import org.springframework.data.cassandra.core.mapping.Table;

import java.io.Serializable;

@Table(value = "ctid_request_perf_base_line_value")
public class CTID_Request_Perf_BaseLineValue implements Serializable {

    @PrimaryKey
    private String auth_mode;

    private Integer dur_acl_check;

    private Integer dur_bizpackage_sign;

    private Integer dur_gen_bsn;

    private Integer dur_log_nd;

    private Integer dur_log_yx;

    private Integer dur_random_sign;

    private Integer dur_sign_verify;

    private Integer dur_token;

    private Integer dur_total;

    public CTID_Request_Perf_BaseLineValue() {
    }

    public CTID_Request_Perf_BaseLineValue(String auth_mode, Integer dur_acl_check, Integer dur_bizpackage_sign, Integer dur_gen_bsn, Integer dur_log_nd, Integer dur_log_yx, Integer dur_random_sign, Integer dur_sign_verify, Integer dur_token, Integer dur_total) {
        this.auth_mode = auth_mode;
        this.dur_acl_check = dur_acl_check;
        this.dur_bizpackage_sign = dur_bizpackage_sign;
        this.dur_gen_bsn = dur_gen_bsn;
        this.dur_log_nd = dur_log_nd;
        this.dur_log_yx = dur_log_yx;
        this.dur_random_sign = dur_random_sign;
        this.dur_sign_verify = dur_sign_verify;
        this.dur_token = dur_token;
        this.dur_total = dur_total;
    }

    @Override
    public String toString() {
        return "CTID_Request_Perf{" +
                ", auth_mode='" + auth_mode + '\'' +
                ", dur_acl_check=" + dur_acl_check +
                ", dur_bizpackage_sign=" + dur_bizpackage_sign +
                ", dur_gen_bsn=" + dur_gen_bsn +
                ", dur_log_nd=" + dur_log_nd +
                ", dur_log_yx=" + dur_log_yx +
                ", dur_random_sign=" + dur_random_sign +
                ", dur_sign_verify=" + dur_sign_verify +
                ", dur_token=" + dur_token +
                ", dur_total=" + dur_total +
                '}';
    }

    public String getAuth_mode() {
        return auth_mode;
    }

    public void setAuth_mode(String auth_mode) {
        this.auth_mode = auth_mode;
    }

    public Integer getDur_acl_check() {
        return dur_acl_check;
    }

    public void setDur_acl_check(Integer dur_acl_check) {
        this.dur_acl_check = dur_acl_check;
    }

    public Integer getDur_bizpackage_sign() {
        return dur_bizpackage_sign;
    }

    public void setDur_bizpackage_sign(Integer dur_bizpackage_sign) {
        this.dur_bizpackage_sign = dur_bizpackage_sign;
    }

    public Integer getDur_gen_bsn() {
        return dur_gen_bsn;
    }

    public void setDur_gen_bsn(Integer dur_gen_bsn) {
        this.dur_gen_bsn = dur_gen_bsn;
    }

    public Integer getDur_log_nd() {
        return dur_log_nd;
    }

    public void setDur_log_nd(Integer dur_log_nd) {
        this.dur_log_nd = dur_log_nd;
    }

    public Integer getDur_log_yx() {
        return dur_log_yx;
    }

    public void setDur_log_yx(Integer dur_log_yx) {
        this.dur_log_yx = dur_log_yx;
    }

    public Integer getDur_random_sign() {
        return dur_random_sign;
    }

    public void setDur_random_sign(Integer dur_random_sign) {
        this.dur_random_sign = dur_random_sign;
    }

    public Integer getDur_sign_verify() {
        return dur_sign_verify;
    }

    public void setDur_sign_verify(Integer dur_sign_verify) {
        this.dur_sign_verify = dur_sign_verify;
    }

    public Integer getDur_token() {
        return dur_token;
    }

    public void setDur_token(Integer dur_token) {
        this.dur_token = dur_token;
    }

    public Integer getDur_total() {
        return dur_total;
    }

    public void setDur_total(Integer dur_total) {
        this.dur_total = dur_total;
    }
}
